- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QWSKeyboardHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qkbd_qws.h.

`#include <qkbd_qws.h>`

Inheritance diagram for QWSKeyboardHandler:
[legend]

List of all members.

## Public Types
enum | KeycodeAction { None = 0, CapsLockOff = 0x01000000, CapsLockOn = 0x01000001, NumLockOff = 0x02000000, NumLockOn = 0x02000001, ScrollLockOff = 0x03000000, ScrollLockOn = 0x03000001, Reboot = 0x04000000, PreviousConsole = 0x05000000, NextConsole = 0x05000001, SwitchConsoleFirst = 0x06000000, SwitchConsoleLast = 0x0600007f, SwitchConsoleMask = 0x0000007f }
## Public Member Functions
| QWSKeyboardHandler ()
| QWSKeyboardHandler (const QString &device)
virtual | ~QWSKeyboardHandler ()
virtual void | processKeyEvent (int unicode, int keycode, Qt::KeyboardModifiers modifiers, bool isPress, bool autoRepeat)
KeycodeAction | processKeycode (quint16 keycode, bool pressed, bool autorepeat)
## Protected Member Functions
int | transformDirKey (int key)
void | beginAutoRepeat (int uni, int code, Qt::KeyboardModifiers mod)
void | endAutoRepeat ()

## Member Enumeration Documentation

enum KeycodeAction

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  CapsLockOff | Search for all occurrences
  CapsLockOn | Search for all occurrences
  NumLockOff | Search for all occurrences
  NumLockOn | Search for all occurrences
  ScrollLockOff | Search for all occurrences
  ScrollLockOn | Search for all occurrences
  Reboot | Search for all occurrences
  PreviousConsole | Search for all occurrences
  NextConsole | Search for all occurrences
  SwitchConsoleFirst | Search for all occurrences
  SwitchConsoleLast | Search for all occurrences
  SwitchConsoleMask | Search for all occurrences

Definition at line 67 of file qkbd_qws.h.

                           {
            None               = 0,

            CapsLockOff        = 0x01000000,
            CapsLockOn         = 0x01000001,
            NumLockOff         = 0x02000000,
            NumLockOn          = 0x02000001,
            ScrollLockOff      = 0x03000000,
            ScrollLockOn       = 0x03000001,

            Reboot             = 0x04000000,

            PreviousConsole    = 0x05000000,
            NextConsole        = 0x05000001,
            SwitchConsoleFirst = 0x06000000,
            SwitchConsoleLast  = 0x0600007f,
            SwitchConsoleMask  = 0x0000007f,
        };

## Constructor & Destructor Documentation

QWSKeyboardHandler | ( |  | ) |

QWSKeyboardHandler | ( | const QString & | device | ) |

virtual ~QWSKeyboardHandler | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void processKeyEvent | ( | int | unicode,
|  | int | keycode,
|  | Qt::KeyboardModifiers | modifiers,
|  | bool | isPress,
|  | bool | autoRepeat
| ) |  | `[virtual]`

Search for all occurrences

KeycodeAction processKeycode | ( | quint16 | keycode,
|  | bool | pressed,
|  | bool | autorepeat
| ) |  |

Search for all occurrences

int transformDirKey | ( | int | key | ) | `[protected]`

Search for all occurrences

void beginAutoRepeat | ( | int | uni,
|  | int | code,
|  | Qt::KeyboardModifiers | mod
| ) |  | `[protected]`

Search for all occurrences

void endAutoRepeat | ( |  | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qkbd_qws.h

QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler
QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler QWSKeyboardHandler